%define ver 0.23.1
%define rel 2

Summary: a cross-platform GUI front end for Bazaar, based on Qt toolkit
Summary(ja): Bazaar のクロスプラットフォームな GUI フロントエンド
Name: qbzr
Version: %{ver}
Release: %{rel}%{?_dist_release}
License: GPLv2
Group: Development/Tools
URL: http://wiki.bazaar.canonical.com/QBzr

Source0: %{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires: python >= 2.4
Requires: bzr >= 2.2
Requires: PyQt4 >= 4.4
Requires: python-pygments >= 1.0
BuildRequires: python-devel >= 2.4

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
QBzr is a cross platform, Qt-based front-end for Bazaar, providing GUI
applications for many core bzr commands. In addition, it provides several
special dialogs and helper commands. Equivalents for core bzr commands have
the same names as CLI commands but with a prefix of "q".

%prep
%setup -q -n %{name}

%build
%__python setup.py build

%install
rm -rf %{buildroot}
%__python setup.py install --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc *.txt
%{python_sitelib}/bzrlib/plugins/qbzr
%{python_sitelib}/qbzr-%{version}*.egg-info

%changelog
* Fri Nov 14 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.23.1-2
- moved to Development/Tools Group

* Mon Dec 30 2013 IWAI, Masaharu <iwaim.sub@gmail.com> 0.23.1-1
- update to 0.23.1
- fix %%files path: using python_sitelib
- add Vendor, Distribution, Packager tags

* Thu Jan  3 2013 IWAI, Masaharu <iwai@alib.jp> 0.23.0-1
- new upstream release

* Mon Apr  4 2011 IWAI, Masaharu <iwai@alib.jp> 0.20.0-1
- new upstream release

* Fri Jan  7 2011 IWAI, Masaharu <iwai@alib.jp> 0.19.3-1
- Initial build.


